.header-div {
    padding: 45px 50px;
    position: fixed;
    top: 0;
    z-index: 1;
    width: 100%;
}

.header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 15px;
    color: #231f20;
    background-color: rgba(255, 255, 255, 0.7);
    border: 1.2px solid black;
    border-radius: 25px;
    width: 100%;
    height: 50px;
    transition: width 0.2s ease;
}

.header-div.scrolled .header {
    width: 580px;
}

.binsaeed-logo {
    width: 40px;
    margin-top: 5px;
}

.header-right-section {
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: center;
    height: 100%;
    flex: 1;
}

.category {
    height: 35px;
    display: flex;
    align-items: center;
}

.category a {
    height: 35px;
    display: flex;
    align-items: center;
    padding: 0 25px;
}

.active {
    color: white;
    background-color: black;
    border-radius: 20px;
}

.mobile-nav {
    height: 65px;
    position: fixed;
    z-index: 3;
}

#menuToggle {
  display: flex;
  flex-direction: column;
  position: relative;
  top: 25px;
  left: 25px;
  z-index: 3;
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle input
{
  display: flex;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -8px;
  left: -6px;
  cursor: pointer;
  opacity: 0;
  z-index: 3;
}

#menuToggle span
{
  display: flex;
  width: 29px;
  height: 2px;
  margin-bottom: 5px;
  position: relative;
  background: #36383F;
  border-radius: 3px;
  z-index: 3;
  transform-origin: 5px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child
{
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span
{
  opacity: 1;
  transform: rotate(45deg) translate(-3px, -1px);
  background: #36383F;
}
#menuToggle input:checked ~ span:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2)
{
  transform: rotate(-45deg) translate(0, -1px);
}

#menu
{
  position: absolute;
  width: 80vw;
  height: calc(100dvh + 50px);
  box-shadow: 0 0 10px #85888C;
  margin: -50px 0 0 -50px;
  padding: 50px;
  padding-top: 125px;
  background-color: #F5F6FA;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li
{
  padding: 10px 0;
  font-size: 22px;
  transition-delay: 2s;
}

#menuToggle input:checked ~ ul
{
  transform: none;
}

@media (min-width: 481px) {
    .header-div {
        display: flex;
    }

    .mobile-nav {
        display: none;
    }
}

@media (max-width: 480px) {
    .header-div {
        display: none;
    }

    .mobile-nav {
        display: block;
    }
}